# Method: processes.listScriptProcesses

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.response_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.ListScriptProcessesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#body.aspect)
- [ListScriptProcessesFilter](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#ListScriptProcessesFilter)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#ListScriptProcessesFilter.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#try-it)

List information about a script's executed processes, such as process type and current status.

### HTTP request

`GET https://script.googleapis.com/v1/processes:listScriptProcesses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script ID of the project whose processes are listed. |
| `scriptProcessFilter` | ``object (`https://developers.google.com/apps-script/api/reference/rest/v1/processes/listScriptProcesses#ListScriptProcessesFilter`)`` A filter used to limit the list results; only processes matching the filter criteria are returned. |
| `pageSize` | `integer` The maximum number of returned processes per page of results. Defaults to 50. |
| `pageToken` | `string` The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response with the list of `https://developers.google.com/apps-script/api/reference/rest/v1/processes#Process` resources.

| JSON representation |
|---|
| ``` { "processes": [ { object (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#Process`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `processes[]` | ``object (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#Process`)`` List of processes matching request parameters. |
| `nextPageToken` | `string` Token for the next page of results. If empty, there are no more pages remaining. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/script.processes`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ListScriptProcessesFilter

Filter used to further specify which processes to list. Only processes that match all the specified conditions are returned.

| JSON representation |
|---|
| ``` { "deploymentId": string, "functionName": string, "startTime": string, "endTime": string, "types": [ enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#ProcessType`) ], "statuses": [ enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#ProcessStatus`) ], "userAccessLevels": [ enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#UserAccessLevel`) ] } ``` |

| Fields ||
|---|---|
| `deploymentId` | `string` Optional field used to limit returned processes to those originating from projects with a specific deployment ID. |
| `functionName` | `string` Optional field used to limit returned processes to those originating from a script function with the given function name. |
| `startTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` Optional field used to limit returned processes to those that were started on or after the given timestamp. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `endTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` Optional field used to limit returned processes to those that completed on or before the given timestamp. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `types[]` | ``enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#ProcessType`)`` Optional field used to limit returned processes to those having one of the specified process types. |
| `statuses[]` | ``enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#ProcessStatus`)`` Optional field used to limit returned processes to those having one of the specified process statuses. |
| `userAccessLevels[]` | ``enum (`https://developers.google.com/apps-script/api/reference/rest/v1/processes#UserAccessLevel`)`` Optional field used to limit returned processes to those having one of the specified user access levels. |